Bug 126679 - perl causes kernel panic
Summary: perl causes kernel panic
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: perl   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Chip Turner
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-24 17:10 UTC by Nicholas Ritter
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-07-09 18:30:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nicholas Ritter 2004-06-24 17:10:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Bad: When compiling rrdtool-1.0.48 (as downloaded from rrdtool.org) 
the kernel panics with a fatal exception during the compile (not 
the ./configure) phase.

Bad: This happens everytime, even after errata updates as of 6/24/04.

Good: after a reboot, if I go into the same build directory and, 
without doing a 'make clean', do a make I get a compile error without 
a kernel panic.

Version-Release number of selected component (if applicable):
kernel-2.4.21-15.0.2.ELsmp, perl-5.8.0-88.4

How reproducible:
Always

Steps to Reproduce:
1. Start with a RHEL AS v3 update 2 system for AMD64 
2. download rrdtool-1.0.48 from rrdtool.org
3. run configure script for rrdtool source, do not specify any 
options to configure
4. run make
    

Actual Results:  Kernel panics with a fatal exception error, and 
mentions the perl executable in the dump screen.

Expected Results:  rrdtool compiles without errors as it does on RHEL 
v3 for i386.

Additional info:

The error I get after reboot from kernel panic, when I try to compile 
again with doing a make clean as something 
with "/usr/bin/ld: ../src/.libs//librrd_private.a(parsetime.o): 
relocation R_X86_64_32 can not be used when making a shared object; 
recompile with -fPIC

-----

I can be contacted at ritter@lakeforest.edu, or 847-735-5112. I would 
love to get this fixed, much less help improve a RedHat product. 
Please let me know if you need anything further.

Comment 1 Nicholas Ritter 2004-07-09 18:30:15 UTC
You can close this bug ticket. Turned out there was a bad RAM DIMM.


Note You need to log in before you can comment on or make changes to this bug.